searchData={"items":[{"type":"module","title":"Structo","doc":"JavaScript-style object constructors.\n\nThis library allows you to construct maps and structs like this:\n\n    ~m{a, b, c: d}\n\nInstead of:\n\n    %{a: a, b: b, c: d}\n\nAnd it works in matches too:\n\n    iex> ~m{a, b: 2} = %{a: 1, b: 2}\n    iex> a\n    1","ref":"Structo.html"},{"type":"macro","title":"Structo.__using__/1","doc":"While it is a giant hack, this library can semi-work for\nstructs as well. Just `use Structo` in your module:\n\n    defmodule MyStruct do\n      use Structo\n      defstruct [:a, :b]\n    end\n\nAnd then construct your structs like this:\n\n    iex> import MyStruct\n    iex> a = \"wibble\"\n    iex> ~MYSTRUCT{a, b: \"wobble\"}\n    %MyStruct{a: \"wibble\", b: \"wobble\"}\n\nUnfortunately, the module name has to be upcased, due to Elixir's \nrestrictions on sigil names.","ref":"Structo.html#__using__/1"},{"type":"macro","title":"Structo.sigil_m/2","doc":"This sigil acts as a shorthand for constructing maps with\nJavaScript-like syntax.","ref":"Structo.html#sigil_m/2"},{"type":"macro","title":"Examples - Structo.sigil_m/2","doc":"iex> import Structo\n    iex> a = 1; b = 2; d = 3\n    iex> ~m{a, b, c: d}\n    %{a: 1, b: 2, c: 3}","ref":"Structo.html#sigil_m/2-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.2"}}